Subject: Re: linux-next: revert of "debug: add notifier chain debugging"

From: Stephen Rothwell <[email-masked]>
Date: Tue, 2 Sep 2008 18:33:28 +1000

Hi Arjan,

On Mon, 01 Sep 2008 07:23:58 -0700 Arjan van de Ven <[email-masked]> wrote:
>
> well it's a pretty bad bug since there are many places that depend on the kernel text stuff to work.
> (backtracing, lockdep, some of the security checks etc). PPC needs to be fixed rather urgently.
> but yeah the system kept plodding on.
> David also sent a patch to fix it fwiw.
> 
> I'm a bit sad to see a debug patch get reverted just because it caught bugs ;-)
> at least I assume this is very temporary.

Today I still reverted the patch, but I applied the new version as well
as applying the simple powerpc fix patch, so we shall see ...

-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/